*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  border: 0;
  border-radius: 0;
  box-sizing: border-box;
  line-height: 1;
  font: inherit;
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-family: "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "メイリオ", sans-serif;
}

body {
  display: grid;
  grid-template-rows: max-content 1fr;
}

.header {
  padding: 1rem 2rem;
  color: #ffffff;
  background: #3a6391;
  font-weight: bold;
  font-size: 1.125;
}

.main {
  padding: 8rem 0 1rem 0;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
  overflow: auto;
}

.description {
  font-weight: bold;
}

.messages {
  color: #d1154f;
  font-weight: bold;
  white-space: pre;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.form-fields {
  border: solid 1px #d2d2d2;
  border-radius: 0.25rem;
  background: #f7f7f7;
}

.field {
  display: flex;
  padding: 0.5rem 3rem;
  border-top: solid 1px #d2d2d2;
  align-items: center;
  justify-content: stretch;
}

.field:first-child {
  border-top: none;
}

.form-actions {
  display: flex;
  margin: 0 -0.25rem;
  flex-direction: row-reverse;
  justify-content: space-between;
}

.screen-title {
  text-align: center;
  font-weight: bold;
  font-size: 1.5rem;
}

.field-label {
  display: inline-block;
  flex: 0 0 auto;
  min-width: 14rem;
  font-weight: bold;
}

.input-text {
  padding: 0.25rem;
  border: solid 1px #d2d2d2;
  border-radius: 0.25rem;
  min-width: 20.5rem;
  flex: 1 1 auto;
}

.input-text:invalid {
  border: solid 2px #d1154f;
}

.button {
  padding: 0.5rem 2rem;
  border-radius: 99999px;
  font-weight: bold;
  background: inherit;
  min-width: 8rem;
}

.button.is-primary {
  color: #ffffff;
  background: #0064c2;
}

.button.is-primary:hover {
  background: #0c86eb;
}

.button.is-secondary {
  border: solid 1px #0064c2;
  color: #0064c2;
}

.button.is-secondary:hover {
  border-color: #5291c5;
  color: #ffffff;
  background: #5291c5;
}
